/*
** Seiford, L.M. and R.M. Thrall [1990], Recent Developments in DEA,
** The mathematical Programming Approach to Frontier Analysis,
** Journal of Econometrics, 46, 7-38
**
** This example reproduces the results of Table 2 and 1 of
** Seiford and Thrall [1990] pages 17 and 18.
*/

new;
library dea;

let X[1,5] = 2 3 6 9 5;
let Y[1,5] = 1 4 6 7 3;

format 6,3;

output file = dea.out reset;

print "======================================================";
Print "INPUT-ORIENTED";
print "======================================================";

i = 0;
do until i > 3;
  _dea = i;

  {theta,lambda} = Input_Oriented(x,y,0);

  print "------------------------------------------------------";
  print ftos(i,"Model I%lf",1,0); print;
  print "Theta";
  print theta; print;
  print "Lambda";
  print lambda;
  i = i + 1;
endo;

print "======================================================";
Print "OUTPUT-ORIENTED";
print "======================================================";

i = 0;
do until i > 3;
  _dea = i;

  {phi,lambda} = Output_Oriented(x,y,0);

  print "------------------------------------------------------";
  print ftos(i,"Model O%lf",1,0); print;
  print "Phi";
  print phi; print;
  print "Lambda";
  print lambda;
  i = i + 1;
endo;


output off;
